package commands;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import business.Curso;
import dao.FacadeDAO;

public class PreencheListaCursosPorNomeRemoverCurso {

	public void processarComando(HttpServletRequest request,
			HttpServletResponse response, HttpServlet servlet)
	{
		// verifica se existe filtro
		//String msg = null;
		String filtroCurso = request.getParameter("filtroCurso");
		List<Curso> cursos=null; 
		
		if (filtroCurso == null || filtroCurso.equals("")){
			cursos = FacadeDAO.getInstance(servlet).getCursoDAO().listarCursos();
			if(cursos.size()==0){
				//msg = " Não Existe curso Cadastrado ";
			}

		}
		else{
			cursos = FacadeDAO.getInstance(servlet).getCursoDAO().listarCursosPorNome(filtroCurso);
			if(cursos.size()==0){
				//msg = " Não Existe Curso com o Filtro Aplicado ";
			}
		}
		
		request.setAttribute("cursos",cursos);

		RequestDispatcher rd = request.getRequestDispatcher("cursoRemover.jsp");
		try
		{
			rd.forward(request,response);
		}
		catch (ServletException e)
		{
			e.printStackTrace();
		} catch (IOException e)
		{
			e.printStackTrace();
		}
	}
	
}
